Skip to main content
PUT
Replace User

Authorizations

Authorization
string
header
required

The API key to authenticate requests. Obtainable from the web dashboard.

Path Parameters

userId
string
required

Body

application/json

A SCIM user object as defined in RFC 7643. This object is used to represent a user in the SCIM API.

userName
string
required

A service provider's unique identifier for the user, typically used by the user to directly authenticate to the service provider. Often displayed to the user as their unique identifier within the system (as opposed to "id" or "externalId", which are generally opaque and not user-friendly identifiers). Each User MUST include a non-empty userName value. This identifier MUST be unique across the service provider's entire set of Users. This attribute is REQUIRED and is case insensitive.

schemas
string[]

An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current structure.

externalId
string

A String that is an identifier for the resource as defined by the provisioning client. The "externalId" may simplify identification of a resource between the provisioning client and the service provider by allowing the client to use a filter to locate the resource with an identifier from the provisioning domain, obviating the need to store a local mapping between the provisioning domain's identifier of the resource and the identifier used by the service provider. Each resource MAY include a non-empty "externalId" value. The value of the "externalId" attribute is always issued by the provisioning client and MUST NOT be specified by the service provider. The service provider MUST always interpret the externalId as scoped to the provisioning domain. While the server does not enforce uniqueness, it is assumed that the value's uniqueness is controlled by the client setting the value.

Example:

"701984"

name
object

The components of the user's name. Service providers MAY return just the full name as a single string in the formatted sub-attribute, or they MAY return just the individual component attributes using the other sub-attributes, or they MAY return both. If both variants are returned, they SHOULD be describing the same name, with the formatted name indicating how the component attributes should be combined.

displayName
string

The name of the user, suitable for display to end-users. Each user returned MAY include a non-empty displayName value. The name SHOULD be the full name of the User being described, if known (e.g., "Babs Jensen" or "Ms. Barbara J Jensen, III") but MAY be a username or handle, if that is all that is available (e.g., "bjensen"). The value provided SHOULD be the primary textual label by which this User is normally displayed by the service provider when presenting it to end-users.

active
boolean

A Boolean value indicating the User's administrative status. The definitive meaning of this attribute is determined by the service provider. As a typical example, a value of true implies that the user is able to log in, while a value of false implies that the user's account has been suspended.

Example:

true

urn:ietf:params:scim:schemas:extension:enterprise:2.0:User
object

SCIM Enterprise User Schema Extension fields as defined in RFC 7643 section 4.3.

Response

OK

A SCIM user object as defined in RFC 7643. This object is used to represent a user in the SCIM API.

schemas
string[]
required

An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current structure. Each schema URI MUST be unique, and any schema that defines attributes in the current structure MUST be included in the array. The schemas array is REQUIRED and MUST be non-empty.

id
string
required

A unique identifier for a SCIM resource as defined by the service provider. Each representation of the resource MUST include a non-empty "id" value. This identifier MUST be unique across the SCIM service provider's entire set of resources. It MUST be a stable, non-reassignable identifier that does not change when the same resource is returned in subsequent requests. The value of the "id" attribute is always issued by the service provider and MUST NOT be specified by the client. The string "bulkId" is a reserved keyword and MUST NOT be used within any unique identifier value.

Example:

"2819c223-7f76-453a-919d-413861904646"

meta
object
required

A complex attribute containing resource metadata. All "meta" sub-attributes are assigned by the service provider. This attribute SHALL be ignored when provided by clients.

userName
string
required

A service provider's unique identifier for the user, typically used by the user to directly authenticate to the service provider. Often displayed to the user as their unique identifier within the system (as opposed to "id" or "externalId", which are generally opaque and not user-friendly identifiers). Each User MUST include a non-empty userName value. This identifier MUST be unique across the service provider's entire set of Users. This attribute is REQUIRED and is case insensitive.

name
object
required

The components of the user's name. Service providers MAY return just the full name as a single string in the formatted sub-attribute, or they MAY return just the individual component attributes using the other sub-attributes, or they MAY return both. If both variants are returned, they SHOULD be describing the same name, with the formatted name indicating how the component attributes should be combined.

displayName
string
required

The name of the user, suitable for display to end-users. Each user returned MAY include a non-empty displayName value. The name SHOULD be the full name of the User being described, if known (e.g., "Babs Jensen" or "Ms. Barbara J Jensen, III") but MAY be a username or handle, if that is all that is available (e.g., "bjensen"). The value provided SHOULD be the primary textual label by which this User is normally displayed by the service provider when presenting it to end-users.

active
boolean
required

A Boolean value indicating the User's administrative status. The definitive meaning of this attribute is determined by the service provider. As a typical example, a value of true implies that the user is able to log in, while a value of false implies that the user's account has been suspended.

Example:

true

urn:ietf:params:scim:schemas:extension:enterprise:2.0:User
object

SCIM Enterprise User Schema Extension fields as defined in RFC 7643 section 4.3.